Bug#886341: ITP: node-prop-types -- Runtime type checking for React props and similar objects

2018-01-04 Thread Pirate Praveen
Package: wnpp Severity: wishlist Owner: Pirate Praveen X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-prop-types Version : 15.6.0 Upstream Author : Facebook Inc * URL : https://facebook.github.io/react/ * License : Expat

Bug#849691: RFS: gnome-shell-extension-radio/8-1 [ITP] -- GNOME shell

2018-01-04 Thread leo
Hi Tobias, I fixed the version and the changelog, I was not sure about it when I bumped it. I also fixed d/copyright. Thanks for the review. I uploaded a new version to mentors.d.n. but it's not showing for the moment, will wait and see. Maybe I did something wrong when I deleted the package

Bug#885649: transition: src:qscintilla2

2018-01-04 Thread Scott Kitterman
Everything that can be NMUed or binNMUed has been completed. Ovito is a problem. See #886340. I've fooled around with it a bit and can't get it to build, so I'll leave it for someone else. I guess it could be temporarily removed from testing to get the transition finished if the maintainer

Bug#801331: jdresolve: diff for NMU version 0.6.1-5.1

2018-01-04 Thread Adrian Bunk
Control: tags 801331 + pending Dear maintainer, I've prepared an NMU for jdresolve (versioned as 0.6.1-5.1) and uploaded it to DELAYED/5. Please feel free to tell me if I should cancel it. cu Adrian -- "Is there not promise of rain?" Ling Tan asked suddenly out of the

Bug#886238: Please introduce official nosystemd build profile

2018-01-04 Thread Hleb Valoshka
On 1/3/18, Andrew Shadura wrote: > Do we really need systemd-less builds? I'm not convinced this is > something relevant to Debian. http://angband.pl/deb/archive.html https://wiki.debian.org/BuildProfileSpec#Derivative_specific_profiles At least some DD have a different

Bug#886330: sleepyhead: FTBFS: UpdaterWindow.cpp:26:10: fatal error: quazip/quazip.h: No such file or directory

2018-01-04 Thread Sergio Durigan Junior
On Thursday, January 04 2018, Andreas Tille wrote: > Hi, > > just a quick note (I'm quite busy with real life): The issue seems to > be caused by the fact that libquazip5-headers which is pulled in due > to dependencies provides > > /usr/include/quazip5/quazip.h > > the file > >

Bug#886344: guacamole: Package alternative authentication modules (guacamole-auth-cas, guacamole-auth-duo, guacamole-auth-jdbc, guacamole-auth-header, guacamole-auth-ldap)

2018-01-04 Thread Dmitry Katsubo
Package: guacamole Version: 0.9.9+dfsg-1 Severity: minor Please package alternative authentication modules: * guacamole-auth-cas * guacamole-auth-duo * guacamole-auth-jdbc * guacamole-auth-header * guacamole-auth-ldap * ... -- With best regards, Dmitry

Bug#886343: lintian: missing-notice-file-for-apache-license false positives

2018-01-04 Thread Ferenc Wágner
Package: lintian Version: 2.5.67 Severity: normal Dear Maintainer, My package won the E: shibboleth-sp2 source: missing-notice-file-for-apache-license doc/NOTICE.txt Lintian error even though all its binary packages carry NOTICE.txt due to dh_installdocs -A doc/NOTICE.txt [...] Looking at

Bug#886342: systemd-networkd: Unknown section 'Tap'. Ignoring.

2018-01-04 Thread Wolfgang Walter
Package: systemd Version: 236-2 Problem: since upgrading to 236-1 I get the following error: systemd-networkd:[810]: /etc/systemd/network/tunnel.netdev: :5: Unknown section 'Tap'. Ignoring. The same problem exists with other kinds as VLAN MACVTAP I did not change these .netdev files, and I

Bug#886350: gnucash: Can't do SEPA Transactions via online-banking

2018-01-04 Thread mechtilde
Package: gnucash Version: 1:2.6.18-1 Severity: important I try to fill out the dialog for SEPA transactions and get the following message at each character I input: "Your local bank account does not yet have the SEPA account information " "stored. We are sorry, but in this development version

Bug#886355: libpar-packer-perl: frequent parallel FTBFS

2018-01-04 Thread Adrian Bunk
Source: libpar-packer-perl Version: 1.041-1 Severity: serious https://buildd.debian.org/status/package.php?p=libpar-packer-perl=sid ... dh_auto_build make -j6 make[2]: Entering directory '/<>' cp script/par.pl blib/script/par.pl "/usr/bin/perl" -MExtUtils::MY -e 'MY->fixin(shift)' --

Bug#886356: transition: ilmbase

2018-01-04 Thread Matteo F. Vescovi
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: transition Dear Release Team, I'm filing this bug report for a new transition of ilmbase package. On December 30, 2017 a testing-purpose package has been uploaded to experimental and it was

Bug#848674: O: f3 -- test real flash memory capacity

2018-01-04 Thread Mathieu Malaterre
> I'm interested in taking over this package. I've worked with upstream > and I use it from time to time. I'll monitor upstream which I hope will > produce a new release soon and then I'll switch maintainership. v7.0 has just been released \o/ https://github.com/AltraMayor/f3/releases/tag/v7.0

Bug#878021: patches to update gnome-commander packaging to 1.8.0

2018-01-04 Thread Jeremy Bicha
On Thu, Jan 4, 2018 at 3:55 PM, Andreas Henriksson wrote: > The packaging can be updated by applying the attached patches: Just a heads up that that I uploaded an NMU recently and just pushed my finalized debian/changelog to git now so please rebase. Sorry about that. Thanks,

Bug#886238: Please introduce official nosystemd build profile

2018-01-04 Thread Marco d'Itri
On Jan 04, Hleb Valoshka <375...@gmail.com> wrote: > "anti-systemd zealots" Steve, when did you join LP fanclub? When > Ubuntu decided to throw away your upstart and use systemd instead? Classy... > Do we have runtime systemd detection in all software linked against > libsystemd so it will work

Bug#885423: [Pkg-opencl-devel] Bug#885423: Beignet: self-test failed: (3, 7, 5) + (5, 7, 3) returned (6, 7, 5)

2018-01-04 Thread Rebecca N. Palmer
Control: tags -1 patch Description: Fix self-test fail in Darktable Reverts upstream 81755054c4c19d821e58456a1a7d601806e60e92 Author: Rebecca N. Palmer Bug-Debian: https://bugs.debian.org/885423 Forwarded: todo diff --git

Bug#886365: override: kdewebdev:metapackages/optional, kde-baseapps:metapackages/optional

2018-01-04 Thread Pino Toscano
Package: ftp.debian.org Severity: normal Hi, kdewebdev, and kde-baseapps have been metapackages for long time, but not properly set with their priority; now they are, so please adjust the overrides according to that. Thanks, -- Pino

Bug#886371: php-http looses ca-file-path

2018-01-04 Thread Andreas Sachs
Package: php-http Version: 3.1.0+2.6.0-4 As soon as you set ssl-options the default cainfo/capath get's lost. Error: Peer certificate cannot be authenticated with given CA certificates; SSL certificate problem: unable to get local issuer certificate If I don't set any ssl options I see the

Bug#886372: tracker.debian.org: Failed to handle Vcs-git: -b situation

2018-01-04 Thread Boyuan Yang
Package: tracker.debian.org Severity: normal Take a look at Vcs: field in: https://tracker.debian.org/pkg/aptitude For Vcs-Git, the hyperlink yields: https://anonscm.debian.org/git/aptitude/aptitude.git%20-b%20debian-sid Which is definitely wrong and will leads to 404. Regards, Boyuan

Bug#885864: This bug also affected evince.thumbnailer and probably /etc/mailcap

2018-01-04 Thread Matt Roberds
All, This report is just for documentation; there is probably no action needed on the part of the maintainers. I have 3.22.1-3+deb9u1 installed on my system, and the evince.thumbnailer file has the same double-semicolon problem in the same location as the evince.desktop file originally

Bug#838178: tracker.debian.org: "action needed" details show only with Javascript enabled

2018-01-04 Thread Pierre-Elliott Bécue
Le jeudi 04 janvier 2018 à 23:23:01+0100, Thomas Schmitt a écrit : > Hi, > > Pierre-Elliott Bécue wrote: > > I pushed a patch to have the tracker behaving in a proper way even though > > javascript is disabled. > > That's great news. Since today i began to ponder whether pointing to > >

Bug#884858: mutt: q and $ fail with: rename: No such file or directory (errno = 2)

2018-01-04 Thread Adam Borowski
> Sometimes, quite rarely, operations that would commit operations on a > directory (such as q or $) fail with: > rename: No such file or directory (errno = 2) > with no way to save changes. This results in doubled mails that were moved > elsewhere, restoration of deleted mails and similar

Bug#885525: [Pkg-utopia-maintainers] Bug#885525: Bug#885525: better log output

2018-01-04 Thread Sean DuBois
And here is the patch! Feel free to change anything, but I rebuilt locally and everything seems to be working 100% for me. This is the exact code upstream is using, but should be good enough until they release a new version. thanks From: Sean DuBois Date: Thu, 04 Jan 2018

Bug#881985: [request-tracker-maintainers] Bug#881985: Bug#881985: request-tracker4: Correctly set RT version in configure if a Debian epoch is used

2018-01-04 Thread Andrew Ruthven
On Thu, 2018-01-04 at 21:57 +, Dominic Hargreaves wrote: > Hi Andrew, > > I actually committed essentially that change a while ago but didn't > feel it warranted an upload by itself. Sorry that wasn't clear - > I should have commented at the same time as tagging pending. Ah, no worries. I

Bug#838178: tracker.debian.org: "action needed" details show only with Javascript enabled

2018-01-04 Thread Thomas Schmitt
Hi, Pierre-Elliott Bécue wrote: > I pushed a patch to have the tracker behaving in a proper way even though > javascript is disabled. That's great news. Since today i began to ponder whether pointing to

Bug#886369: easytag: remove mentioned OGG support from package description

2018-01-04 Thread James Cowgill
Package: easytag Version: 2.4.3-2 Severity: minor Tags: patch X-Debbugs-CC: Bruno Kleinert Control: submitter -1 Bruno Kleinert Hi, On 04/01/18 12:02, Bruno Kleinert wrote: > Am Mittwoch, den 03.01.2018, 16:50 + schrieb James Cowgill: >> Control: clone

Bug#886335: addendum

2018-01-04 Thread SZABO Zsolt
I think, that the bug is related to the utility gstoraster as described here (it does not recognise PJL encapsulated, PostScript document text starting with "\033%-12345X@PJL JOB"): https://www.linuxquestions.org/questions/slackware-14/slackware-cups-can%27t-detect-file-type-4175605111/ As a

Bug#886367: partial fix uploaded

2018-01-04 Thread Henrique de Moraes Holschuh
Intel has released several updates already, but not all of them AFAIK. These microcode updates are of little impact until the kernel changes to activate the new MSRs are deployed. But they do mess with conditional jumps and LFENCE. Anyway, uploading a partial, unofficial set of updates to

Bug#881985: [request-tracker-maintainers] Bug#881985: Bug#881985: request-tracker4: Correctly set RT version in configure if a Debian epoch is used

2018-01-04 Thread Dominic Hargreaves
On Wed, Jan 03, 2018 at 02:24:27PM +1300, Andrew Ruthven wrote: > Update patch to only strip the epoch off the version is attached. Hi Andrew, I actually committed essentially that change a while ago but didn't feel it warranted an upload by itself. Sorry that wasn't clear - I should have

Bug#886367: intel-microcode: coming updates for meltdown/spectre

2018-01-04 Thread Matt Taggart
Package: intel-microcode Version: 3.20171117.1 Severity: grave It's been rumored that Intel will be releasing microcode updates to (partially?) mitigate some of the effects of meltdown and spectre. It appears that the latest version on the website is still 20171117. Any news of what this

Bug#882833: (no subject)

2018-01-04 Thread Thomas Preud'homme
I've also had issues with kontact and my .xsession-errors contained the following lines: org.kde.pim.akonadiserver: database server stopped unexpectedly org.kde.pim.akonadiserver: stderr: "mysqld: [ERROR] Could not open required defaults file: $HOME/.local/share/akonadi/mysql.conf\nmysqld:

Bug#886363: libdatetime-locale-perl: After upgrade from Jessie to Stretch, Can't locate DateTime/Locale/en_US.pm in @INC

2018-01-04 Thread Reiner Buehl
Hi, my script does not use DateTime::Locale directly. I only use DateTime. This is the script I use: #!/usr/bin/perl use Net::Twitter; use Scalar::Util 'blessed'; use DateTime; use Storable qw(retrieve nstore); use LWP::Simple; # Variable definitions my $configfile =

Bug#886360: please provide a stable backport

2018-01-04 Thread Jeremy Bicha
On Thu, Jan 4, 2018 at 4:27 PM, W. Martin Borgert wrote: > Hi, thanks for this package. It is already used by Gajim (XMPP > chat client) and some users would like to use emoji also in the > Gajim backport. Which means, they need this as backport, too! Could you test whether

Bug#873006: libgtk3-webkit2-perl: autopkgtest failures

2018-01-04 Thread gregor herrmann
On Mon, 01 Jan 2018 13:24:34 +0200, Niko Tyni wrote: > > libgtk3-webkit2-perl fails autopkgtest-pkg-perl's use.t: > > > # Typelib file for namespace 'WebKit2', version '4.0' not found at > > /usr/lib/x86_64-linux-gnu/perl5/5.26/Glib/Object/Introspection.pm line 108. > > # BEGIN

Bug#886343: lintian: missing-notice-file-for-apache-license false positives

2018-01-04 Thread Chris Lamb
tags 886343 + pending thanks Ferenc, Thanks for the report. I have fixed this in Git: https://anonscm.debian.org/git/lintian/lintian.git/commit/?id=28028299a402eb8d87176a537facc437ab89b6c6 Regards, -- ,''`. : :' : Chris Lamb `. `'` la...@debian.org /

Bug#886363: libdatetime-locale-perl: After upgrade from Jessie to Stretch, Can't locate DateTime/Locale/en_US.pm in @INC

2018-01-04 Thread Reiner Buehl
Package: libdatetime-locale-perl Version: 1:1.17-1 Severity: important Dear Maintainer, after upgrading my system from Jessie to Stretch, I get the following error messages from a perl skript that used to work fine before the upgrade: Can't locate DateTime/Locale/en_US.pm in @INC (you may need

Bug#886366: linux-headers-4.15.0-rc5-amd64: missing tools/objtool in /lib/modules/foo/build breaks DKMS modules builds

2018-01-04 Thread Luca Boccassi
Package: src:linux Version: 4.15~rc5-1~exp1 Severity: important Dear Maintainer, The new tools/ directory is currently symlinked from linux-kbuild-4.15 into linux-headers-common-4.15.0-rc5 (directory: /usr/src/linux- headers-4.15.0-rc5-common/tools ) but not into linux-headers-4.15.0- rc5-amd64

Bug#886368: intel-microcode: copyright URLs out of date

2018-01-04 Thread Matt Taggart
Package: intel-microcode Version: 3.20171117.1 Severity: wishlist The two upstream download URLs listed in the copyright file no longer work (and are also http URLs). Searching I found the following https://downloadcenter.intel.com/download/27337/Linux-Processor-Microcode-Data-File but I

Bug#886363: libdatetime-locale-perl: After upgrade from Jessie to Stretch, Can't locate DateTime/Locale/en_US.pm in @INC

2018-01-04 Thread gregor herrmann
On Fri, 05 Jan 2018 00:22:59 +0100, Reiner Buehl wrote: > my script does not use DateTime::Locale directly. I only use DateTime. This > is the script I use: > > #!/usr/bin/perl > use Net::Twitter; > use Scalar::Util 'blessed'; > use DateTime; > use Storable qw(retrieve nstore); > use

Bug#885525: [Pkg-utopia-maintainers] Bug#885525: Bug#885525: better log output

2018-01-04 Thread Sean DuBois
On Wed, 3 Jan 2018 20:49:01 +0100 Michael Biebl wrote: > Control: tags -1 + fixed-upstream patch > > Am 03.01.2018 um 20:29 schrieb Sean DuBois: > > Hey Michael, > > > > This is fixed upstream > >

Bug#886362: openmw FTBFS on armel/armhf: error: 'GL_AMBIENT' was not declared in this scope

2018-01-04 Thread Adrian Bunk
Source: openmw Version: 0.43.0-2 Severity: important https://buildd.debian.org/status/package.php?p=openmw=sid ... /<>/components/sceneutil/lightmanager.cpp: In member function 'void SceneUtil::LightStateAttribute::applyLight(GLenum, const osg::Light*) const':

Bug#886343: lintian: missing-notice-file-for-apache-license false positives

2018-01-04 Thread Chris Lamb
tags 886343 + pending thanks Ferenc, Thanks for the report. I have fixed this in Git: https://anonscm.debian.org/git/lintian/lintian.git/commit/?id=28028299a402eb8d87176a537facc437ab89b6c6 Regards, -- ,''`. : :' : Chris Lamb `. `'` la...@debian.org /

Bug#886364: valgrind: epoll_pwait can have a NULL sigmask

2018-01-04 Thread Lukas Slebodnik
Package: valgrind Version: 1:3.13.0-1 Severity: normal Tags: upstream patch Dear Maintainer, glibc was recently updates in debian unstable to 2.26-1 and revealed bug in valgrind. Fortunatelly it is already fixed in valgrind upstream. https://bugs.kde.org/show_bug.cgi?id=381289 I would

Bug#885185: Can't get gscan2pdf to work properly (i.e. give even half-decent output)

2018-01-04 Thread Jeff
On 04/01/18 17:59, Jeff wrote: > Sure. Perhaps I should point people at the reportbug utility, which > makes it easier to report bugs in Debian packages. I have added a sentence about the reportbug utility to the docs. You should see this in the next release. signature.asc Description: OpenPGP

Bug#886363: libdatetime-locale-perl: After upgrade from Jessie to Stretch, Can't locate DateTime/Locale/en_US.pm in @INC

2018-01-04 Thread gregor herrmann
On Thu, 04 Jan 2018 22:51:21 +0100, Reiner Buehl wrote: > after upgrading my system from Jessie to Stretch, I get the > following error messages from a perl skript that used to work fine > before the upgrade: > > Can't locate DateTime/Locale/en_US.pm in @INC (you may need to install the >

Bug#886182: transition: glibc 2.26

2018-01-04 Thread Simon McVittie
On Thu, 04 Jan 2018 at 21:52:32 +0100, Michael Biebl wrote: > Am 04.01.2018 um 20:05 schrieb Simon McVittie: > > (In particular, I'm trying to release ostree to fix a RC bug, but it now > > fails to build due to a hilarious dependency chain involving > > gjs -> libgtk-3-0 ->

Bug#884953: vlc: bad window redraw: black lines

2018-01-04 Thread Luca Boccassi
Control: tags -1 upstream On Thu, 4 Jan 2018 11:47:34 +0100 Vincent Lefevre wrote: > On 2018-01-04 11:14:57 +0100, Sebastian Ramacher wrote: > > On 2018-01-03 23:59:26, Vincent Lefevre wrote: > > > On 2018-01-03 21:11:20 +0100, Sebastian Ramacher wrote: > > > > This looks

Bug#886367: intel-microcode: more meltdown/spectre info

2018-01-04 Thread Matt Taggart
I read that RHEL is already issuing microcode updates for RHEL7. I read it second hand at https://lists.bufferbloat.net/pipermail/cerowrt-devel/2018-January/08.html But maybe there is an official URL somewhere? I found the following pages

Bug#886370: alpine: stops parsing /etc/mailcap when invalid entry found

2018-01-04 Thread Matt Roberds
Package: alpine Version: 2.20+dfsg1-7 Severity: normal Dear Maintainer, Quick version: alpine seems to quit reading /etc/mailcap when it hits an invalid entry. This may keep alpine from launching an application to read an attachment, if the MIME type for the attachment appears after the

Bug#884441: [Pkg-d-devel] Bug#884441: dh-dlang requires neon on armhf

2018-01-04 Thread Matthias Klumpp
2018-01-04 21:23 GMT+01:00 Adrian Bunk : > [...] > > Is this something that still has to be addressed in ldc, or was that > already addressed back in 2016 in ldc 1:1.1.0git20161002.78c0d69-3 > (and the make snippet in dh-dlang wasn't required at all)? No. This is issue

Bug#886352: tar: garbage instead of owner set in TAR_OPTIONS

2018-01-04 Thread Jakub Wilk
* Jakub Wilk , 2018-01-04, 21:01: $ export TAR_OPTIONS='--owner root --group root --mode go-r' $ tar -cvvf foo.tar /dev/null tar: Removing leading `/' from member names crw--w--w- `/dev/null 1,3 2018-01-04 18:42 /dev/null Valgrind suggests it's a use-after-free: Invalid

Bug#884740: RFS: pokemmo/1.4.2-1 [ITP] -- Multiplayer online game based on the Pokemon universe

2018-01-04 Thread Carlos Donizete Froes
Hi Tobias, > Control: tags -1 moreinfo > > Hi Carlos, > > you saw the reject from the FTP masters already, I guess. > Please update d/copyright and then ping me again. > > Tobi I have made copyright changes in 'd/copyright' Please check mentors.d.n https://mentors.debian.net/package/pokemmo

Bug#864165: closed by Tobias Frost <t...@debian.org> (Re: RFS: stendhal-installer/0.1-1 [ITP] -- Unofficial way to easily install game)

2018-01-04 Thread Carlos Donizete Froes
Hi, > This is an automatic notification regarding your Bug report > which was filed against the sponsorship-requests package: > > #864165: RFS: stendhal-installer/0.1-2 [ITP] -- Unofficial way to easily > install Stendhal game > > It has been closed by Tobias Frost . > >

Bug#886325: dbus daemon does not start with error "undefined symbol: XML_SetHashSalt"

2018-01-04 Thread Simon McVittie
On Thu, 04 Jan 2018 at 14:37:53 +0100, Alberto Brosich wrote: > dbus-daemon[1350]: /usr/bin/dbus-daemon: symbol lookup error: > /usr/bin/dbus-daemon: undefined symbol: XML_SetHashSalt ... > ii libexpat1:amd642.2.0-2+deb9u1 According to

Bug#801331: jdresolve: diff for NMU version 0.6.1-5.1

2018-01-04 Thread Frederic Peters
Hi, > I've prepared an NMU for jdresolve (versioned as 0.6.1-5.1) and uploaded > it to DELAYED/5. Please feel free to tell me if I should cancel it. It's totally fine; thank you. Fred

Bug#886353: ITP: libmail-box-pop3-perl -- POP3 handler for Mail::Box

2018-01-04 Thread Damyan Ivanov
Package: wnpp Owner: Damyan Ivanov Severity: wishlist X-Debbugs-CC: debian-de...@lists.debian.org, debian-p...@lists.debian.org * Package name: libmail-box-pop3-perl Version : 3.003 Upstream Author : Mark Overmeer * URL :

Bug#863108: closed by Tobias Frost <t...@debian.org> (Re: RFS: minecraft-installer/0.1-2 [ITP] -- Unofficial way to easily install Minecraft game)

2018-01-04 Thread Carlos Donizete Froes
Hi, > This is an automatic notification regarding your Bug report > which was filed against the sponsorship-requests package: > > #863108: RFS: minecraft-installer/0.1-1 [ITP] -- Unofficial way to easily > install Minecraft game > > It has been closed by Tobias Frost . > >

Bug#886335: cups: cups printer does not print postscript jobs from windows client after upgrade to stretch

2018-01-04 Thread Brian Potkin
Thank you for your report, Zsolt. On Thu 04 Jan 2018 at 16:54:43 +0100, SZABO Zsolt wrote: > Package: cups > Version: 2.2.1-8 > Severity: normal > > Dear Maintainer, > > * What led up to the situation? > > After upgrade to stretch the shared cups printer, an HP P1102 > (configured as: lpadmin

Bug#884116: linux-image-4.9.0-3-amd64: screen artifacts then crash without anyway to revert to console

2018-01-04 Thread Mathias Bavay
Package: src:linux Followup-For: Bug #884116 Dear Maintainer, Since sometimes between mid-November and mid-December, my whole system crashes within a few minutes after boot (90% of the time after less than 2 minutes). The screen gets various artifacts and the whole system is gone. There is no

Bug#886359: infinipath-psm FTBFS on i386: missing symbol ipath_dwordcpy_safe

2018-01-04 Thread Adrian Bunk
Source: infinipath-psm Version: 3.3+20.604758e7-3 Severity: serious https://buildd.debian.org/status/fetch.php?pkg=infinipath-psm=i386=3.3%2B20.604758e7-3=1515071279=0 ... dh_makeshlibs -a -O--parallel dpkg-gensymbols: warning: some symbols or patterns disappeared in the symbols file: see

Bug#855666: peek debian packaging?

2018-01-04 Thread Yaroslav Halchenko
Hi Paulo Saw https://askubuntu.com/a/833995 so decided to check WNPP and found this ITP. Any progress or should I consider peek'ing into that ppa? -- Yaroslav O. Halchenko Center for Open Neuroscience http://centerforopenneuroscience.org Dartmouth College, 419 Moore Hall, Hinman Box 6207,

Bug#886342: systemd-networkd: Unknown section 'Tap'. Ignoring.

2018-01-04 Thread Michael Biebl
Am 04.01.2018 um 19:30 schrieb Wolfgang Walter: > Package: systemd > Version: 236-2 > > Problem: since upgrading to 236-1 I get the following error: > > systemd-networkd:[810]: /etc/systemd/network/tunnel.netdev: :5: Unknown > section 'Tap'. Ignoring. > Please share the complete file. Have

Bug#886346: general: USB 3.0 Disk Drive Not Recognized

2018-01-04 Thread Pablo Molina
Package: general Severity: important Dear Maintainer, I have a USB 3.0 Disk 2TB (WD Elements). When I plug in a 2.0 USB Port the disk is recognized, but when I plug in a 3.0 USB Port the disk is not recognized and the dmesg not show anything. This is the exit of command "sudo lsusb": Bus 002

Bug#886351: Wide character in print at /usr/bin/gitlab-api-v4 line 106

2018-01-04 Thread Jakub Wilk
Package: libgitlab-api-v4-perl Version: 0.02-1 $ gitlab-api-v4 --url=http://gitlab.com/api/v4 groups Wide character in print at /usr/bin/gitlab-api-v4 line 106. -- System Information: Architecture: i386 Versions of packages libgitlab-api-v4-perl depends on: ii perl

Bug#884441: [Pkg-d-devel] Bug#884441: dh-dlang requires neon on armhf

2018-01-04 Thread Adrian Bunk
On Fri, Dec 15, 2017 at 03:13:57PM +0100, Matthias Klumpp wrote: > 2017-12-15 15:05 GMT+01:00 Matthias Klose : > > Control: reopen -1 > > Control: reassign -1 ldc > > > > On 15.12.2017 13:53, Matthias Klumpp wrote: > >> 2017-12-15 9:46 GMT+01:00 Matthias Klose : >

Bug#885967: #885967: FTBFS: FAILED test of gethostid ENOENT

2018-01-04 Thread Adam Borowski
} PATH=`pwd`/bin:$PATH /bin/sh test/07/t0705a.sh } 2,3c2,3 } < (ENOENT) because there is no "hostid" regular file in the pathname "/etc" } < directory; did you mean the "hosts" regular file instead? } --- } > (ENOENT) because there is no "hostid" regular file in the pathname } > "/etc" directory }

Bug#885963: FTBFS: failed to open /etc/hosts

2018-01-04 Thread Adam Borowski
On Thu, Jan 04, 2018 at 08:14:31PM +0200, Adrian Bunk wrote: > On Mon, Jan 01, 2018 at 01:13:57AM +0100, Adam Borowski wrote: > >... > > And indeed, in a chroot created with debootstrap --variant=buildd there is > > no such file anymore. But, I see that the package doesn't actually need > >

Bug#886357: ITP: lamarc -- Likelihood Analysis with Metropolis Algorithm using Random Coalescence

2018-01-04 Thread Andreas Tille
Package: wnpp Severity: wishlist Owner: Andreas Tille * Package name: lamarc Version : 2.1.10.1 Upstream Author : Mary K. Kuhner, Peter Beerli, and Joseph Felsenstein * URL : http://evolution.gs.washington.edu/lamarc/ * License : Apache 2.0

Bug#886358: chromium: Enable Hangouts screensharing extension

2018-01-04 Thread Tommi Vainikainen
Package: chromium Version: 63.0.3239.84-1~deb9u1 Severity: wishlist Currently debian/rules:52 disables hangouts services (which includes screenshare feature). I didn't test it, but based on information elsewhere, simply enabling the flag should make Google Hangouts screensharing work with

Bug#886360: please provide a stable backport

2018-01-04 Thread W. Martin Borgert
Package: fonts-noto-color-emoji Version: 0~20171204-1 Severity: wishlist Hi, thanks for this package. It is already used by Gajim (XMPP chat client) and some users would like to use emoji also in the Gajim backport. Which means, they need this as backport, too! Thanks for considering!

Bug#886361: apertium: frequent parallel FTBFS

2018-01-04 Thread Adrian Bunk
Source: apertium Version: 3.4.2~r68466-3 Severity: serious Tags: patch https://tests.reproducible-builds.org/debian/history/apertium.html https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/apertium.html https://buildd.debian.org/status/package.php?p=apertium=sid ... /bin/bash

Bug#886355: Pending fixes for bugs in the libpar-packer-perl package

2018-01-04 Thread pkg-perl-maintainers
tag 886355 + pending thanks Some bugs in the libpar-packer-perl package are closed in revision c8b6951552e57ae9e090344577c6b0b00ea5e01d in branch 'master' by gregor herrmann The full diff can be seen at https://anonscm.debian.org/cgit/pkg-perl/packages/libpar-packer-perl.git/commit/?id=c8b6951

Bug#886347: O: timidity -- Software sound renderer (MIDI sequencer, MOD player)

2018-01-04 Thread Tobias Frost
Package: wnpp The package timidity is NMU maintained since 2011*, currently the 6th NMU in a row in the DELAYED queue. Therefore I orphan the package now in the hope that it gets back into maintainance by some interested party. (X-Debbug-CC are the last three people doing a NMUl, maybe one of

Bug#886238: Please introduce official nosystemd build profile

2018-01-04 Thread Hleb Valoshka
On 1/3/18, Ansgar Burchardt wrote: > I think there is only one distribution which wants builds without > libsystemd: the one that formed around MikeeUSA's call to action. 1) Even Wikipedia knows 43 distributions, much more can be found on

Bug#886348: ITP: libmail-box-imap4-perl -- perl module for handling of IMAP4 folders as client

2018-01-04 Thread Damyan Ivanov
Package: wnpp Owner: Damyan Ivanov Severity: wishlist X-Debbugs-CC: debian-de...@lists.debian.org, debian-p...@lists.debian.org * Package name: libmail-box-imap4-perl Version : 3.002 Upstream Author : Mark Overmeer * URL :

Bug#883573: Reevaluate libpam-systemd systemd-sysv dependency ordering (746578)

2018-01-04 Thread Simon McVittie
On Tue, 05 Dec 2017 at 12:26:43 +0100, Julian Andres Klode wrote: > More importantly, several packages now require just systemd-sysv. If > apt is told to install libpam-systemd and such a package in the same > operation (especially in a chroot I'd say, since that's where neither > shim nor sysv is

Bug#878021: patches to update gnome-commander packaging to 1.8.0

2018-01-04 Thread Andreas Henriksson
Control: tags -1 + patch Hello! After importing the new (1.8.0) upstream release using: gbp import-orig --uscan --pristine-tar The packaging can be updated by applying the attached patches: git am $ATTACHED_PATCHES And updating debian/changelog: gbp dch --auto

Bug#886182: transition: glibc 2.26

2018-01-04 Thread Aurelien Jarno
On 2018-01-02 22:47, Emilio Pozuelo Monfort wrote: > Control: tags -1 confirmed > > On 02/01/18 22:37, Aurelien Jarno wrote: > > Package: release.debian.org > > Severity: normal > > User: release.debian@packages.debian.org > > Usertags: transition > > > > Dear release team, > > > > I would

Bug#886182: transition: glibc 2.26

2018-01-04 Thread Michael Biebl
Am 04.01.2018 um 20:05 schrieb Simon McVittie: > (In particular, I'm trying to release ostree to fix a RC bug, but it now > fails to build due to a hilarious dependency chain involving > gjs -> libgtk-3-0 -> dconf-gsettings-backend -> dconf-service -> > dbus-user-session -> libpam-systemd ->

Bug#884740: RFS: pokemmo/1.4.2-1 [ITP] -- Multiplayer online game based on the Pokemon universe

2018-01-04 Thread Carlos Donizete Froes
Hi Tobias, > Control: tags -1 moreinfo > > Hi Carlos, > > you saw the reject from the FTP masters already, I guess. > Please update d/copyright and then ping me again. > > Tobi I have made copyright changes in 'd/copyright' Please check mentors.d.n https://mentors.debian.net/package/pokemmo

Bug#881295: RFS: rednotebook/2.3-1 [ITP] -- A cross-platform journal

2018-01-04 Thread Tobias Frost
Control: tags -1 moreinfo Hi, (Please do NOT open up new RFS bugs but recycle the old ones. Thanks. The other RFS bugs are #875265 and #881279) Please note that I will not sponsor this package (as I'm not comfortable sponsoring python packages) Did you check the bugs from the old package? Are

Bug#886345: RM: webkitkde -- ROM; No longer used, obsolete libs (Qt4)

2018-01-04 Thread Scott Kitterman
Package: ftp.debian.org Severity: normal Qt4 WebKit is in the process of being removed. Now that konqueror is Qt5 based, webkitkde is no longer used and should be removed as part of clearing the way for Qt4's WebKit (and Qt4 itself) removal. Scott K

Bug#886349: initramfs-tools: Missing vmd driver in hook-functions

2018-01-04 Thread Mario.Limonciello
Package: initramfs-tools Version: 0.130 Severity: important Dear Maintainer, initramfs-tools is missing the Intel Volume Management Device (vmd.ko) that was included in kernel 4.9 and later. This sets up NVME disks in a separate PCI domain and is needed to access them when the system is

Bug#886354: transition: ros-bond-core

2018-01-04 Thread Jochen Sprickerhof
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: transition Dear release team, I would like to transition ros-bond-core to unstable. I tested the reverse dependencies and found no problems. Cheers Jochen Ben file: title = "ros-bond-core";

Bug#886342: systemd-networkd: Unknown section 'Tap'. Ignoring.

2018-01-04 Thread Wolfgang Walter
Hello Michael, thanks for your answer. On Thursday, 4 January 2018 19:54:41 CET Michael Biebl wrote: > Am 04.01.2018 um 19:30 schrieb Wolfgang Walter: > > Package: systemd > > Version: 236-2 > > > > Problem: since upgrading to 236-1 I get the following error: > > > > systemd-networkd:[810]:

Bug#886238: Please introduce official nosystemd build profile

2018-01-04 Thread Johannes Schauer
Quoting Hleb Valoshka (2018-01-04 19:35:28) > On 1/3/18, Andrew Shadura wrote: > > Do we really need systemd-less builds? I'm not convinced this is something > > relevant to Debian. > [...] > https://wiki.debian.org/BuildProfileSpec#Derivative_specific_profiles > > At least

Bug#886182: transition: glibc 2.26

2018-01-04 Thread Simon McVittie
On Tue, 02 Jan 2018 at 22:47:45 +0100, Emilio Pozuelo Monfort wrote: > On 02/01/18 22:37, Aurelien Jarno wrote: > > a few packages are using libc internal symbols and have to be > > rebuilt for this transition: > > - apitrace > > - bro > > - dante > > - libnih > > - libnss-db > > - p11-kit >

Bug#886238: Please introduce official nosystemd build profile

2018-01-04 Thread Hleb Valoshka
On 1/3/18, Steve Langasek wrote: > Moreover, defining an official nosystemd profile in Debian signals that we > are willing to support it, which means any maintainers who refuse such > patches will immediately become the targets of abuse from anti-systemd > zealots.

Bug#886352: tar: garbage instead of owner set in TAR_OPTIONS

2018-01-04 Thread Jakub Wilk
Package: tar Version: 1.29b-2 $ export TAR_OPTIONS='--owner root --group root --mode go-r' $ tar -cvvf foo.tar /dev/null tar: Removing leading `/' from member names crw--w--w- `/dev/null 1,3 2018-01-04 18:42 /dev/null -- System Information: Architecture: i386 Versions of packages tar

Bug#885525: [Pkg-utopia-maintainers] Bug#885525: better log output

2018-01-04 Thread russell
On 2017-12-28 15:31, Michael Biebl wrote: Control: tags -1 + moreinfo Please install dbgsym packages for at least libnm0, libnma0 and network-manager-gnome to get a more useful backtrace. https://wiki.debian.org/HowToGetABacktrace This is the output of gdb after installing a bunch of -dbgsym

Bug#886375: klystrack: FTBFS (32-bit): error: cast to pointer from integer of different size

2018-01-04 Thread Aaron M. Ucko
Source: klystrack Version: 0.20171212-1 Severity: important Tags: upstream Justification: fails to build from source Builds of klystrack for most 32-bit architectures (with the notable exception of *i386, which I presume it special-cases) have been failing with ../klystron/src/macros.h:97:21:

Bug#886264: firefox-esr: FTBFS on ppc64el

2018-01-04 Thread Mike Hommey
On Wed, Jan 03, 2018 at 03:45:45PM +, Julian Gilbey wrote: > Package: firefox-esr > Version: 52.5.3esr-1 > > This is the second version of firefox-esr in a row which has a > build-failure on ppc64el, meaning that this package cannot migrate to > testing. There was a security fix in

Bug#886379: imx-usb-loader: FTBFS on hurd-i386: PATH_MAX undeclared

2018-01-04 Thread Aaron M. Ucko
Source: imx-usb-loader Version: 0~git20171026.138c0b25-1 Severity: important Tags: upstream Justification: fails to build from source User: debian-h...@lists.debian.org Usertags: hurd-i386 The build of imx-usb-loader for hurd-i386 (admittedly not a release architecture) failed:

Bug#886264: firefox-esr: FTBFS on ppc64el

2018-01-04 Thread Mike Hommey
reassign 886264 binutils thanks On Fri, Jan 05, 2018 at 12:03:32PM +0900, Mike Hommey wrote: > On Wed, Jan 03, 2018 at 03:45:45PM +, Julian Gilbey wrote: > > Package: firefox-esr > > Version: 52.5.3esr-1 > > > > This is the second version of firefox-esr in a row which has a > > build-failure

Bug#882247:

2018-01-04 Thread Mike Hommey
There is something wrong with the default locale. Try installing a locale package (even firefox-l10n-en-gb) or downgrade to 57. Mike

Bug#886373: ITP: json-tricks -- Python module with extra features for JSON files

2018-01-04 Thread Yaroslav Halchenko
Package: wnpp Severity: wishlist Owner: Yaroslav Halchenko * Package name: json-tricks Version : 3.11.0 Upstream Author : Mark V * URL : https://github.com/mverleg/pyjson_tricks * License : Revised BSD License

Bug#882247:

2018-01-04 Thread Tom Marble
Mike: There is something wrong with the default locale. Try installing a > locale package (even firefox-l10n-en-gb) or downgrade to 57. Turns out I can't install that from unstable (depends on firefox << 57.0.3-1), however I installed it from experimental (58.0~b4-1) and now firefox works!!!

Bug#886376: i2pd: FTBFS: undefined references to __atomic_{load,fetch_add}_8

2018-01-04 Thread Aaron M. Ucko
Source: i2pd Version: 2.17.0-1 Severity: important Tags: upstream Justification: fails to build from source Builds of i2pd for several architectures (listed below) have been failing with multiple occurrences each of /usr/include/c++/7/bits/atomic_base.h:396: undefined reference to

Bug#884230: texlive-base: cmbcsc10 moved to texlive-fonts-extra

2018-01-04 Thread Norbert Preining
> Oh dear: > Need to get 336 MB/343 MB of archives. > After this operation, 960 MB of additional disk space will be used. I know. The problem is old and known, namely that many TeX documents search fonts not via fontconfig but via file name, and thus the fonts have to be in the texmf tree (at

Bug#881597: krb5-multidev: Please make the package multi-arch installable

2018-01-04 Thread Sam Hartman
Hi. I like the approach of making krb5-config not dynamic, but I'd prefer to discover the behavior of the compiler rather than to base our interactions on its filename. My plan is to use the following: CC=${CC-cc} tripple=`$CC -print-multiarch 2>/dev/null|| ( $CC -dumpmachine | sed 's/-pc//'

  1   2   3   >